path: /build/build/prometheus-bin-app-metrics-2.51.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-metrics/prometheus-bin -pv -t
  - |
    emerge -j ${JOBS} --nodeps app-metrics/prometheus-bin
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/prometheus-bin && luet-portage
    --dir /pkgdir/prometheus-bin app-metrics/prometheus-bin
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:d01a9235091098c3798aefe7531bc1cb0e5bbfa4f0c88f2f25c5fe230a2ffe6f
  package:
    name: prometheus-bin
    version: 2.51.1
    category: app-metrics
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The Prometheus monitoring system and time series database.
    uri:
    - https://github.com/prometheus/prometheus
    license: Apache-2.0
    buildtimestamp: 2024-04-04 11:46:42.920278857 +0000 UTC m=+3165.245826091
    labels:
      DEPEND: sys-apps/shadow
      IUSE: amd64 arm64
      emerge.packages: app-metrics/prometheus-bin
      kit: core-server-kit
      original.package.name: app-metrics/prometheus-bin
      original.package.slot: "0"
      original.package.version: 2.51.1
    treedir: /build/packages
  package_dir: /pkgdir/prometheus-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b33d4d4a7400a512eb611baa88b6036f0e3175b1618b3ce89e961da2958d3ed1
compressiontype: zstd
files:
- etc/conf.d/prometheus
- etc/init.d/prometheus
- etc/prometheus/prometheus.yml
- usr/bin/prometheus
- usr/bin/promtool
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/BUILD_TIME
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/CATEGORY
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/CBUILD
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/CFLAGS
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/CHOST
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/CONTENTS
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/COUNTER
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/CXXFLAGS
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/DEFINED_PHASES
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/DEPEND
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/DESCRIPTION
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/EAPI
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/FEATURES
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/HOMEPAGE
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/INHERITED
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/IUSE
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/IUSE_EFFECTIVE
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/KEYWORDS
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/LDFLAGS
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/LICENSE
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/NEEDED
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/PF
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/SIZE
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/SLOT
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/USE
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/environment.bz2
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/prometheus-bin-2.51.1.ebuild
- var/db/pkg/app-metrics/prometheus-bin-2.51.1/repository
- var/lib/prometheus/.keep_app-metrics_prometheus-bin-0
- var/log/prometheus/.keep_app-metrics_prometheus-bin-0
package_cacheimage: ""
runtime:
  name: prometheus-bin
  version: 2.51.1
  category: app-metrics
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The Prometheus monitoring system and time series database.
  uri:
  - https://github.com/prometheus/prometheus
  license: Apache-2.0
  labels:
    DEPEND: sys-apps/shadow
    IUSE: amd64 arm64
    emerge.packages: app-metrics/prometheus-bin
    kit: core-server-kit
    original.package.name: app-metrics/prometheus-bin
    original.package.slot: "0"
    original.package.version: 2.51.1
